function OnWarpEnter() 
	--SetMarker("cs\\Warp_0084.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0050.wp" , 0 , 0) 
	
	if not HeadStatue then
		PutObject("jle1")
		SetMarker("jle1",2,0)
	end
	
	if not WallDestroy then
		PutObject("jne1")
	end

	if StatueState1 then
		StartAnimationPart("jke1",1,2,-1,false)
		SetMarker("Sword",4,0)
	elseif StatueState2 then
		StartAnimationPart("jke1",2,3,-1,false)
		SetMarker("jke1",4,0)
	elseif StatueState3 then
		StartAnimationPart("jke1",4,5,-1,false)
	else
		AnimationSetToStart("jke1", false)		
		SetMarker("Sword",4,0)
		SetMarker("jke1",4,0)
	end
	
	DrawText("Sc3131","Sc3131.ogg",4) -- Alors ?
	DrawText("Ma3132","Ma3132.ogg",0) -- Je cherche. La salle est petite, mais il y a peut-être un passage que je n'ai pas encore repéré.

-- StatueState1 = Tête sans épée
-- StatueState2 = Epée sans tête
-- StatueState3 = Debout

--	if AttackedByScrib then
--		SetHealth(1.0)
--		StartHealthTimer(1/600)
--		ShowHealth()
--	end

end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0084.wp" then 
		ChangeWarp(objectName)
	end
	if objectName == "3D\\cs\\Warp_0050.wp" then 
		DrawText("Ma3134","Ma3134.ogg",0) -- Non, il faut que je l'attire en bas.
	end

	if objectName == "jle1" then
		RemoveObject(objectName)
		SetMarker("jle1",-1,0)
		HeadStatue = true
		SetMarker("jke1",-1,0)
		LookAt(139,358)
		if StatueState2 then
			StartAnimationPart("jke1",3,4,-1,false)
			StatueState3 = true
			RemoveObject("jne1")
			SetMarker("Sword", -1, 0)
			SetMarker("cs\\Warp_0084.wp", 0, 0)
			PlayMovie("Videos/soldat-cine008.ogv", "Sounds/SFX/M_Cine008.ogg")
		else
			StartAnimationPart("jke1",1,2,-1,false)
			StatueState1 = true
		end

	elseif objectName == "jne1" and StatueState3 then
		
	elseif objectName == "3D\\Sword" then
		if Selected("B_epee_droite") and StatueState1 then
			StatueState3 = true
			StartAnimationPart("jke1",4,5,-1,false)
			SetMarker("Sword", -1, 0)
--			SetMarker("jle1",4,0)
			RemoveObject("jne1")
			SetMarker("cs\\Warp_0084.wp", 0, 0)
			PlayMovie("Videos/soldat-cine008.ogv", "Sounds/SFX/M_Cine008.ogg")
		elseif Selected("B_epee_droite") and not StatueState1 then
			StatueState2 = true
			StartAnimationPart("jke1",2,3,-1,false)
		elseif not Selected("B_epee_droite") then
			DrawText("Ma0214","Ma0214.ogg",0) -- Ce n'est pas une mauvaise idée mais il manque quelque chose
		end
	end
	if objectName == "jke1" then 
		DrawText("Ma3127","Ma3127.ogg",0) -- Je me demande de quand peut bien dater cette statue. Si Philibert avait été là, je suis sûre qu'il aurait su le dire.
		DrawText("Ma3128","Ma3128.ogg",0) -- Par contre, aucune trace de trésor.
	end

end
